<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.shcd.mapper.dredging.DDredgingShipMapper">

    <resultMap id="BaseResultMap" type="com.shcd.entity.dredging.DDredgingShip">
            <result property="id" column="ID" jdbcType="VARCHAR"/>
            <result property="shipCode" column="SHIP_CODE" jdbcType="VARCHAR"/>
            <result property="shipName" column="SHIP_NAME" jdbcType="VARCHAR"/>
            <result property="isDelete" column="IS_DELETE" jdbcType="DECIMAL"/>
    </resultMap>

    <sql id="Base_Column_List">
        ID,SHIP_CODE,SHIP_NAME,
        IS_DELETE
    </sql>
</mapper>
